
QGIS Application - Bug report #19324

Crash when running Union on certain vectors

2018-07-03 05:49 PM - Bugmi Gnott

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Processing/Core

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27152

Description

User Feedback

1) open the project (attached 7z archive)

2) select layer "due" 

3) select feature with EntityHand = F5559

4) from processing toolbox select tool "Union" (native:union)

5) input layer = "uno", Output layer = "due" "Selected features only" ON, Create temporary layer, "Open output file after running algorithm"

ON

6) press "Run in Background" and watch the app crash

I couldn't replicate this bug by drawing lines by hand, it had to be THIS combination of layers.

Report Details

Crash ID: 562a3d09f80341c8f610c8474247057a66ebde52

Stack Trace

QgsNativeAlgorithms::tr :

QgsReclassifyUtils::reclassifyValue :

QgsProcessingAlgorithm::runPrepared :

QgsProcessingAlgRunnerTask::run :

PyInit__core :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

Associated revisions

Revision eb53e3b8 - 2018-07-05 06:25 PM - Nyall Dawson
Fix failing feature source conformance tests for QgsVectorLayerSelectedFeatureSource

Fixes #19324

Revision c7e78ed0 - 2018-07-10 03:15 AM - Nyall Dawson

Fix failing feature source conformance tests for QgsVectorLayerSelectedFeatureSource

Fixes #19324

(cherry-picked from eb53e3b8)

History

#1 - 2018-07-04 10:13 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

Thanks for the detailed report - I've tracked this down and a fix is underway

#2 - 2018-07-05 06:24 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|eb53e3b830390b3d1a15033afca4a548e3e7eba2.
